#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_S 1000   /* number of segregating sites */
#define DEFAULT_T 0.     /* theta */
#define DEFAULT_R 1000.  /* rho */
#define DEFAULT_L 100000 /* sequence length */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char a;   /* use macs instead of ms */
  char *q;  /* query */
  char *S;  /* sbjct */
  int s;    /* number of segregating sites */
  float t;  /* theta */
  float r;  /* rho */
  float g;  /* GC-content */
  int l;    /* length of sequence */
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
